/* This file is a component of the JunkBusterMT Proxy, based on original code from
 * the Internet Junkbuster Proxy.
 *
 * Copyright (C) 2000 Gabriel L. Somlo
 * Copyright (C) 1997 Anonymous Coders and Junkbusters Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see ../GPL.txt); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/********************************  bindconn.h  *********************************

    Purpose: Interface to the network/connection related functions.

    Notes:   None.
**/

#ifndef BINDCONN_H
#define BINDCONN_H


#include "filegard.h"	/* for gateway */
#include "parsers.h"	/* for http_request */

#ifdef WIN_GCC
extern int winsock_init( void );
#endif
extern int write_socket( int fd, char *buf, int n );
extern int read_socket( int fd, char *buf, int n );
extern void close_socket( int fd );
extern int atoip( char *host );
extern int bind_port( char *hostnam, int portnum );
extern int accept_connection( int sd, char **p_addr_str, long *p_addr_long );

extern int connect_to( char *host, int portnum, long addr_long );
extern int direct_connect( struct gateway *gw, struct http_request *http,
                           long addr_long );


#endif /* BINDCONN_H */
