/* This file is a component of the JunkBusterMT Proxy, based on original code from
 * the Internet Junkbuster Proxy.
 *
 * Copyright (C) 2000 Gabriel L. Somlo
 * Copyright (C) 1997 Anonymous Coders and Junkbusters Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see ../GPL.txt); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/**********************************  csp.h  ************************************

    Purpose: Interface the client_state structure housekeeping module...

    Notes:   None.
**/

#ifndef CSP_H
#define CSP_H


#include "parsers.h"	/* for list, http_request, iob */
#include "filegard.h"	/* for gateway */


struct client_state {
	int  cfd;
	int  sfd;
	char *ip_addr_str;
	long  ip_addr_long;

	struct iob iob[1];
	struct http_request http[1];
	struct gateway *gw;		/* init. to NULL by zalloc in main() */
	struct list headers[1];

        int cookie_status;
	struct list cookie_list[1];

        char *user_id;			/* id. of user account */
        int accept_image_only;		/* true if client wants image only */
	int content_is_text_html;	/* true if the content is text/html */

        int server_body;		/* TRUE, 1: done w. srv. header */

	char *x_forwarded;
};


extern struct client_state *new_csp( void );
extern void                 cleanup_csp( struct client_state *csp );


#endif /* CSP_H */
