/* This file is a component of the JunkBusterMT Proxy, based on original code from
 * the Internet Junkbuster Proxy.
 *
 * Copyright (C) 2000 Gabriel L. Somlo
 * Copyright (C) 1997 Anonymous Coders and Junkbusters Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see ../GPL.txt); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/*********************************  errlog.c  **********************************

    Purpose: this is the interface to the log and error reporting module.
    Notes: The error reporting and activity logging occurs via a printf-like
           interface with variable arguments.

**/

#ifndef ERRLOG_H
#define ERRLOG_H


#define GPC 0x0001
#define CON 0x0002
#define IO  0x0004		/* Unused, reserved for compatibility reasons */
#define HDR 0x0008
#define LOG 0x0010
#define THR 0x0020		/* for multithreaded debugging */

#define ERR 0x0100		/* Unconditional error log, no strerror() */
#define ERN 0x0200		/* Unconditional error log with strerror() */


extern void init_errlog( char *prog_name, char *logfname, int debuglevel );
extern void errlogf( int loglevel, char *fmt, ... );
extern int  write_and_log( int fd, char *buf, int n );


#endif /* ERRLOG_H */
