/* This file is a component of the JunkBusterMT Proxy, based on original code from
 * the Internet Junkbuster Proxy.
 *
 * Copyright (C) 2000 Gabriel L. Somlo
 * Copyright (C) 1997 Anonymous Coders and Junkbusters Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see ../GPL.txt); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/*********************************  filters.h  *********************************

    Purpose: Interface to the blocklist and fake-url-interception functions.

    Notes:   None.
**/

#ifndef FILTERS_H
#define FILTERS_H


#include "filegard.h"	/* for url_spec */
#include "parsers.h"	/* for http_request */
#include "csp.h"	/* for client_state */


extern struct url_spec dsplit( char *domain );
extern int domaincmp( struct url_spec *pattern, struct url_spec *fqdn );

extern char *block_url( struct http_request *http );
extern char *intercept_url( struct client_state *csp );


#endif /* FILTERS_H */
