/* This file is a component of the JunkBusterMT Proxy, based on original code from
 * the Internet Junkbuster Proxy.
 *
 * Copyright (C) 2000 Gabriel L. Somlo
 * Copyright (C) 1997 Anonymous Coders and Junkbusters Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see ../GPL.txt); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/*******************************   miscstr.h   *********************************

    Purpose: Miscellaneous string-related operations

    Notes: None

**/

#ifndef MISCSTR_H
#define MISCSTR_H


#include <stdlib.h>


#define freez(X) if(X) free(X); X = NULL
#define SZ(X) (sizeof(X) / sizeof(*X))


extern int  ssplit( char *s, char *c, char *v[], int n, int m, int l );
extern char *strsav( char *old, char *text_to_append );
extern void *zalloc( size_t size );
extern int  read_double_file( const char *filename, double *valp );
extern int  write_double_file( const char *filename, double val );

#endif /* MISCSTR_H */
