/* This file is a component of the JunkBusterMT Proxy, based on original code from
 * the Internet Junkbuster Proxy.
 *
 * Copyright (C) 2000 Gabriel L. Somlo
 * Copyright (C) 1997 Anonymous Coders and Junkbusters Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see ../GPL.txt); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/********************************  parsers.h  **********************************

    Purpose: Interface to parser functions: string-list, http_request, and iob;

    Notes:   None.
**/

#ifndef PARSERS_H
#define PARSERS_H


struct list {
  char *str;
  struct list *last;
  struct list *next;
};

struct http_request {
  int   noblock;	/* prevent checking against the blocklist */
  char *cmd;
  char *gpc;
  char *protocol;
  char *hostport; /* "host[:port]" */
  char *userpwd;	/* "user[:pwd]" */
  char *host;
  int   port;
  char *path;
  char *ver;
  int   ssl;
};

struct iob {
  char *buf;
  char *cur;
  char *eod;
};


extern char *passageword;


extern void enlist( struct list *h, const char *s );
extern void destroy_list( struct list *h );
extern char *list_to_text( struct list *h );

extern void  free_http_request( struct http_request *http );
extern void parse_http_request( const char *req, struct http_request *http );
extern void  show_http_request( const struct http_request *http );

extern void add_to_iob( struct iob *iob, char *buf, int n );
extern char *get_next_header_from_iob( struct iob *iob );
extern char *flush_iob( struct iob *iob, int *n );


#endif /* PARSERS_H */
